+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу 
    соответствующих подсистем и требуется тщательное тестирование

  Клиент 5.2 {$Revision$}
-----------------------------------------------------------------
--- 5.2.1205 --- 19.08.2025
- [287131] исправлена ошибка "RangeError" при выборе параметров в форме

--- 5.2.1204 --- 15.08.2025
- [285923] исправлено отображение выбора параметра, привязанного к полю таблицы

--- 5.2.1203 --- 11.08.2025
- [284066] Неверная кодировка schemes.ini

--- 5.2.1202 --- 07.08.2025
+ [281066] Поиск: в редакторе полей расширенного поиска добавлен вывод подсказки для описания не отображаемого полностью поля
- [286315] Help: задокументирован метод caption для таблиц
- [286275] Отчеты: исправлен перевод свойства ячейки в таблице "Выравнивание по вертикали"

--- 5.2.1201 --- 06.08.2025
- [154590] Выбор записей формы: скрыты неиспользуемые свойства
- [285939] Help: задокументированы ранее не описанные в хелпе функции для пакета Metadata
+ [285903] Help: задокументирован новый метод схемы и скриптовый объект примитива
- [285937] добавлено автозаполнение для констант пакета Metadata
- [285903] Help: задокументирована расшифровка сокращения "ТК"
- [286314] добавлены недостающие автодополнения для констант пакета DataTypes 
- [286552] синхронизированны форматы внешних файлов с тонким клиентом

--- 5.2.1200 --- 31.07.2025
- [285998] некорретно передается имя пользователя с ключом авторизации через слэш при смене пароля

--- 5.2.1199 --- 30.07.2025
- [285828] Отчеты: добавлена справка по отличиям в объединении повторяющихся значений в ячейках таблиц

--- 5.2.1198 --- 29.07.2025
+ [284203] dsl при показе истории узла метаданных будет указываться тип контента

--- 5.2.1197 --- 28.07.2025
- [284205] dsl исправлена ошибка, которая отображала неизвестный запрос rq:574

--- 5.2.1196 --- 25.07.2025
+ [285691] Добавлен масштаб x4 в диалоговом окне Выбор картинки. Поле поиска показывается при наборе текста.
- [285567] Дополнено описание в help свойства selectedRecords
+ [284205] dsl добавлен новый тип запроса rqGetRuntimeNodeContent для запроса контента исторических узлов

--- 5.2.1195 --- 24.07.2025
+ [284046] Добавлены в help описания скриптовых свойств commonMarksMode, marksMode, keepMarks
+ [285439] Добавлено скриптовое свойство privateMode для компонента изображение, добавлено описание в help
- Исправлена неточность в help

--- 5.2.1194 --- 22.07.2025
- [284006] Отчеты: исправлена ошибка определения цвета при html-форматировании
- [284567] Help: дополнены свойства select, execute и compact для источника расчетного модуля
- [284846] Диаграммы: исправлено название серии градиентный столбец

--- 5.2.1193 --- 25.06.2025
+ [283751] Иконки
           Добавлена иконка №3968

--- 5.2.1192 --- 20.06.2025
- [283795] ошибка неправильный пользователь или пароль после обновлении клиента, если ключ авторизации не совпадает с именем пользователя
+ [283777] формирование и загрузка pex с учетом текстового представления, выдавать ошибки еслм версии сервера или клиента не подходящие
- временно отключен функционал изменения иконок в панели задач

--- 5.2.1191 --- 17.06.2025
+ [281595] Help: добавлен новый раздел "Справка по миграции в тонкий клиент"
+ [283601] Help: в web-запросах свойство request.location

--- 5.2.1190 --- 09.06.2025
- [283483] Исправлено автодополнение функции formUrlEncodedStringOf пакета Text

--- 5.2.1189 --- 04.06.2025
- [282877] Формы
          - Для надписей и полей ввода добавлено JS-свойство «TextStyle».
          - Для надписей добавлен вызов «onGetData» при открытии формы.
          - Исправлена ошибка, при которой JS-свойство «font.style» не работало.
- [281531] сплиттер в вертикальной компоновке не изменеят свое полежение при первом таскании 

--- 5.2.1188 --- 03.06.2025
- [282255] при загрузке пекса с опцией только данные, не создавть пустые отсутвующие узлы
- [282721] Запрос: assert при вызове окна свойств редактора SQL
+ [283213] Документ: добавлено отображение выделенных слов в диалоге поиска и замены текста

--- 5.2.1187 --- 29.05.2025
- [282937] Редактор: удалено отображение вертикальной линии-маркера (правая граница 80 символов текста)
+ [282880] Схемы: Импорт DWG/DXF - обновление библиотеки CAD VCL до версии 16.0 #61153

--- 5.2.1186 --- 28.05.2025
+ обновлён help

--- 5.2.1185 --- 28.05.2025
+ новые иконки
- [269718] некорректно менятся пароль при требовании смене пароля при следющем входе
+ [282681] Help: в раздел "Серии" добавлены новые пункты:
		- заголовки
		- подсказки

--- 5.2.1184 --- 26.05.2025
- [282793] Help: в раздел "Серии" добавлены новые пункты 

--- 5.2.1183 --- 21.05.2025
+ [282312] Схемы: событие onSchemeClose

--- 5.2.1182 --- 20.05.2025
+ новые иконки
- [281593] Help: в раздел "Что нового" добавлены новые пункты

--- 5.2.1181 --- 15.05.2025
+ [281593] Help: обновлен раздел "Что нового"

--- 5.2.1180 --- 12.05.2025
- [281533] Схемы: отменены правки по новой структуре графического редактора
+ новые иконки

--- 5.2.1179 --- 29.04.2025
+ [280030] Автодополнение и help для js-функции "convertAvesTo" серверного пакета Graphics

--- 5.2.1178 --- 28.04.2025
+ [278119] Стили: Полосы прокрутки - Изменения
           - Добавлено новое свойство - «Иконка кнопок»
           - Добавлены свойства отступа кнопок:
             - «Отступ кнопок сверху и снизу от границ полосы прокрутки»
             - «Отступ кнопок слева и справа от границ полосы прокрутки»
           - Добавлены свойства отступа слайдера:
             - «Отступ слайдера от кнопок»
             - «Отступ слайдера сверху и снизу от границ полосы прокрутки»
             - «Отступ слайдера слева и справа от границ полосы прокрутки»
+ [279455] Стили: Полосы прокрутки - Изменения
           - Добавлено новое свойство - «Поведение ползунка»
+ [264278] предача клиенсткого часового пояса на сервер
+ [279947] Добавлено масштабирование иконок в форме выбора
+ обновление иконок

--- 5.2.1177 --- 24.04.2025
+ обновление иконок

--- 5.2.1176 --- 23.04.2025
- [265206] Исправлена ошибка в help в разделе CallableStatement
- [273908] Не возможно создавать несколько стилей по умолчанию для одного контрола
+ новая иконка 1092 Диаграмма Ганта
+ [281097] в истории узла показ и сравнение текстового представления узла формы
- [281092] Help: доработка справки для диаграммы Ганта

--- 5.2.1175 --- 21.04.2025
+ [276658] Обновлен help для методов схемы 'importScheme', 'exportScheme' и 'exportToBinary'. Обновлено автодополнение для 'importScheme' и 'exportScheme'.
- [260031] Исправлена ошибка настройки прав доступа

--- 5.2.1174 --- 17.04.2025
- [280989] AccessViolation exchange.dll во время импорта pex

--- 5.2.1173 --- 16.04.2025
+ [280792] Стили: Надписи - изменения
           - Добавлена настройка внутренних отступов надписи
+ новые иконки

--- 5.2.1172 --- 11.04.2025
+ новые иконки
- [279125] справка: добавлен раздел по отличиям источников данных в тонком и толстом клиентах

--- 5.2.1171 --- 09.04.2025
+ новые иконки
+ исправлены иконки

--- 5.2.1170 --- 07.04.2025
+ [280349] В дизайнере добавлено свойство "Индикатор меню" для кнопки "Навигатора данных"

--- 5.2.1169 --- 04.04.2025
+ [280346] JavaScript: исправлние help
           - Исправлено отображение информации о функции edit объекта Схема
           - Добавлено примечание к описанию функции selectFolder пакета Dialogs

--- 5.2.1168 --- 03.04.2025
+ [278139] JavaScript: в пакет Session добавлено свойство isCurrentUserAnonymous

--- 5.2.1167 --- 01.04.2025
+ [280032] Добавлено свойство "Отступы внутри заголовка" в настройке стилей для Таблицы.

--- 5.2.1166 --- 28.03.2025
- [279948] Access violation при попытке создания узла если нет доступа
- [279889] Перенесены следующие методы и функции visibleExtButton, hide(), show() в новый раздел справки toolbar
+ [272976] Добавлено свойство "Отступы внутри заголовка" в настройке стилей для дерева.
- исправлены иконки

--- 5.2.1165 --- 20.03.2025
+ [279386, 279269] Добавлены в help следующие методы и свойства: toolbar->visibleExtButton, toolbar->hide(), toolbar->show(), исправлено описание popup
 

--- 5.2.1164 --- 17.03.2025
- исправлены иконки
- новые иконки 3943, 3944, 3945, 3946, 3947, 3948, 3949, 3950, 3951, 3952, 3952

--- 5.2.1163 --- 06.03.2025
+ Добавлена иконка QR кода

--- 5.2.1162 --- 04.03.2025
+ [271142] Отчеты xlsx: добавлена поддержка постпроцессинга, обновлен help
- [277414] Диаграммы: исправлен Access Violation при закрытии вкладки

--- 5.2.1161 --- 03.03.2025
- [278222] Grid: дополнен help по js-свойству "extPopupMenu'
+ [278328] Добавлен скриптовый метод clearAction для кнопки навигатора данных

--- 5.2.1160 --- 27.02.2025
- [278244] форма не запускается из-за непрвавильного типа узла поиска в источнике

--- 5.2.1159 --- 25.02.2025
- [278003] Исправлено зависание окна входа в случае если в поле сервер указан порт и выбирается показ агентов в выпадающем списке.
- [277779] Параметры: в инспекторе объектов для 'Элемента формы' 'Формы выбора' реализовано отображение заголовков и скриптовых имен компонентов формы
- [277261] GridColumn: N51690 - автодополнение для js-свойств 'onCanModify','onChange','onGetData','onGetEditText','onHint','onNext','onSelected','onSetEditText','onValidate'
+ Обновлены иконки стилей

--- 5.2.1158 --- 12.02.2025
- [275791] Поиск: скорректирована индикация иконкой для справочников в панели источников данных при отсутствии справочных полей в вышестоящем источнике
- исправлены иконки

--- 5.2.1157 --- 11.02.2025
- [277423] Исправлена кодировка schemes.ini

--- 5.2.1156 --- 10.02.2025
- [271452] Отчеты ods: исправлена критическая ошибка, которая могла возникать при печати дерева
+ [270935] Отчеты: добавлена возможность начать нумерацию страниц с конкретного листа для форматов docx, odt и pdf v1, v2
- исправлены иконки

--- 5.2.1155 --- 28.01.2025
+ [276598] Формы: в дизайнере поисков для запуска добавлена горячая клавиша F9
+ [270934] Отчеты xlsx: добавлена возможность задать лист книги, который будет открываться по умолчанию
- [276364] в дереве данных не срабатывают события ячейки onSelect при изменении столбца
+ [271135] Отчеты xlsx: добавлена возможность скрывать листы
- [272014] Обновлен help для оператора for ... in и свойства таблицы selectedRecords
- [274411] Праметры: Исправления
           - Исправлена некорректная обработка комбинации клавиш Ctrl+G,
             при которой вместо редактирования значения параметра открывался диалог перехода на строку/позицию для следующих объектов:
             • web-запросы
             • SOAP
- [271203] Отчеты ods: исправлена ошибка печати
-[273242] Диаграммы: для круговых диаграмм добавлено свойство изменяющее начальный угол
+ [274926] Пакет TextDocuments:обновлен help для добавления содержимого в параграф 
+ Документация - Схемы: дополнена документация для метода importScheme. Добавлена документация для методов pageCount, pageName и свойства activePage
+ Автодополнение для методов importScheme, pageCount, pageName и свойства activePage
+ [272295] Формы: Добавлена возможность настраивать список пунктов у кнопки типа "Уровни дерева"

--- 5.2.1154 --- 27.12.2024
+ [274048] Стили: Таблицы - изменения
           - Для таблицы добавлено новое свойство - «Шрифт заголовка»
           - Добавлено наследование шрифта заголовка как для стилей таблиц, так и для стилей колонок таблиц
           - Для стиля таблиц добавлена группировка свойств обычных ячеек и ячеек заголовка
+ [274227] Стили: Таблицы - изменения
           - Для столбцов таблицы добавлено новое свойство - «Шрифт заголовка»

--- 5.2.1153 --- 27.12.2024
+ [274922] Пакет TextDocuments: обновлен help
+ Обновлены иконки

--- 5.2.1152 --- 24.12.2024
- [274482] use-after-free при перезагрузке в дизайнере запросов
+ [274480] Пакет TextDocuments: обновлен help для работы с OdtTable

--- 5.2.1151 --- 20.12.2024
+ [269528] Пакет Browser: автодополнение для методов executeScript и executeEvent
+ [274366] Пакет TextDocuments: обновлен help для работы с Odt-документами

--- 5.2.1150 --- 17.12.2024
+ [273807] Пакет TextDocuments: Добавлен help для функционала объединения ячеек таблицы
- [274069] Диаграммы добавлены свойства для серии линия исправлены warning
! [274131] Окно ожидания: исправлена работа окна в цепочке фреймов

--- 5.2.1149 --- 13.12.2024
+ [269528] Формы: поле instanceID - документация
	   JS пакет Browser: методы executeScript и executeEvent - документация
+ [273805] Пакет TextDocuments: Добавлен help для таблиц, обновлен help для документа
- [273405] Диаграммы доработаны свойства вертикальных столбцов цвета легенды
+ [273806] Пакет TextDocuments: Добавлен help для функционала добавления строк и столбцов в таблицу

--- 5.2.1148 --- 10.12.2024
- [253454] Grid: при изменении ширины столбца не учитывалось свойство "Запрет изменения ширины"
- [270669] Grid: исправлен расчет итоговой функции "Среднее арифметическое"
+ [273808] Пакет TextDocuments: Добавлены help для стилей, шрифта и параграфа

--- 5.2.1147 --- в разработке
- Исправлены иконки

--- 5.2.1146 --- 05.12.2024
- [273854] Пакет Xml: в help добавлен метод hasAttr
+ Новые иконки
+ [272658] Формы: Добавлено свойство шрифт заголовка столбца дерева

--- 5.2.1145 --- 05.12.2024
+ Обновление иконок

--- 5.2.1144 --- 03.12.2024
+ Обновление иконок

--- 5.2.1143 --- 02.12.2024
+ [273303] Добавлен help Обработка событий, обновлен help для Формы: добавлены свойства form и module 
+ [273598] Отчеты: обращение к именованным объектам в ячейках таблиц по имени напрямую
+ [273674] В узле сервер добавлены в меню пункты создания таблиц каналов репликации и узлов приема

--- 5.2.1142 --- 02.12.2024
+ [273428] Настройка таблиц для репликации в узле сервер

--- 5.2.1141 --- 29.11.2024
+ Обновление иконок

--- 5.2.1140 --- 28.11.2024
- [273473] определены диапазоны номеров тегов стилей

--- 5.2.1139 --- 27.11.2024
- [268032] при добавление записи в источник с активным клиентским фильтром данных она не попадает в фильтруемую выборку

--- 5.2.1138 --- 22.11.2024
+ [272624, 272605] Серверный пакет TextDocuments: Добавлен help для серверного пакета TextDocuments

--- 5.2.1137 --- 12.11.2024
- [272701] диагностика вызова из скрипта обновления истоника с полной загрузкой
+ обновление иконок
- [271875] #re Документ: добавлен механизм смещения картинок через стили

--- 5.2.1136 --- 08.11.2024
- [272494] Отчеты docx: исправлена обработка нулевого отступа после таблицы
- [272573] Отчеты xlsx: исправлена обработка выражений Excel 

--- 5.2.1135 --- 07.11.2024
+ [254767] Пакет Replications: обновлен help с использованием свойства "warnings"
- новые иконки 3312, 9244, 9245, 9246, 9247, 9248б 9249
+ [260712] Отчеты xlsx: добавлено свойство "Пометить, как окончательный"
- [260710] Отчеты xlsx: исправлена работа свойства "Защитить отчет"

--- 5.2.1134 --- 02.11.2024
- [272200] Стили: Кнопки - добавлены новые свойства стиля:
           Цвет текста в фокусе
- добавлены новые иконки для асмографа
- [272287] Диаграммы добавлен метод  selectedSeriesBorderColor
- [272446] Диаграммы Рефакторинг имен
+ Обновление иконок

--- 5.2.1133 --- 31.10.2024
- [271904] Отчеты: сообщение о слишком большом количестве строк теперь появляется перед построением отчета
+ [271957] Модель данных: добавлена настройка свойства "Загрузка данных/Постепенная загрузка данных"

--- 5.2.1132 --- 28.10.2024
+ Обновление иконок
-[271965] Диаграмма пончиком - возможность задать скриптом и в инспекторе обьекта цвет обводки при наведении на сектор 

--- 5.2.1131 --- 24.10.2024
- [271045] Документ: расширен набор тегов (только для совместимости с тонким клиентом)
+ [271915] Модель данных: добавлена настройка свойства "Загрузка данных/Сжатие результатов запросов"
+ [271957] Модель данных: добавлена настройка свойства "Загрузка данных/Размер чанка"

--- 5.2.1130 --- 23.10.2024
+ [271157] Добавлен help для методов getColumnWidth, setColumnWidth, getDefaultColumnWidth, setDefaultColumnWidth, getRowHeight, setRowHeight, getDefaultRowHeight, setDefaultRowHeight
+ [271897] Модель данных: добавлена возможность настройки глубины предвыборки записей

--- 5.2.1129 --- 21.10.2024
- [271753] Диаграммы исправлена ошибка Access violation) при выборе серии диаграммы

--- 5.2.1128 --- 18.10.2024
! [268805] Системная функция печати: Дерево - исправлена ошибка, при которой печатались не все дочерние элементы
- [271196] AV если blobParam.asBinary = null
- [270066] Документ: AV при переходе по внешним ссылкам в режиме просмотра

--- 5.2.1127 --- 10.10.2024
- [270899] Обновлён help для методов addValue и addMultiple. Метод addMultiple теперь считается устаревшим.

--- 5.2.1126 --- 08.10.2024
- [270798] исправлена ошибка Access violation при закрытии формы
- [270963] Востановленна иконка 2426 в отчетах

--- 5.2.1125 --- 07.10.2024
+ [191495] Отчеты pdf.v1: вставка png с прозрачным фоном
- [270658] не копируется в буфер обмена столбец с вариантным полем и обработчиком onButtonClick
- [270125] Отчеты: исправлена ошибка экспорта в PDF вертикального текста
- [269931] Исправлена ошибка свойства visible компонента edit, в случае если параметр "Тип текста" отличен от значения "текст".
- [264273] Исправлена ошибка с пропаданием пункта "Многострочность" в Инспекторе объектов при включении подсветки правописания у компонента edit

--- 5.2.1124 --- 24.09.2024
+ [269718] sha256 у новых пользователей, авторизация с использованием sha256

--- 5.2.1123 --- 19.09.2024
+ [269711] учет настроек заданых на сервере в конфигурационых файлах auth.password.min.length, auth.password.complex, auth.password.different
+ [269956] Отчеты pdf v.2: добавлена возможность вставки гиперссылок для текстов
- [267987] Исправлена ошибка связанная с повторным вызовом формы при установленном обработчике событий onAutoCompleteStarts

--- 5.2.1122 --- 18.09.2024
+ [269380] Коллекция иконок теперь поддерживает загрузку svg-рисунков, реализована поддержка svg-иконок
- [269278] Отчеты docx: исправлена системная печать таблицы в формате docx
- [269275] Отчеты odt: исправлена системная печать таблицы в формате odt
- [269401] Исправлена сортировка в таблице.
- [266563] Добавлено автозаполнение свойства visible пакета WaitWindow

--- 5.2.1121 --- 17.03.2024
+ [266065] Отчеты odt: добавлена поддержка символа табуляции

--- 5.2.1120 --- 10.09.2024
+ некоторые иконки заменены на svg

--- 5.2.1119 --- 09.09.2024
- [268429] не делать видимой текущую ячейку грида при изменении рамера грида, если до изменения ячейка не была видна

--- 5.2.1118 --- 27.08.2024
- [268149] Отчеты pdf: исправлено выравнивание по вертикали
+ [268042] Формы: onHint для вкладок и закладок + help
+ [267807] Пакет Debug: добавлены новые функции allocatedMemory и objectCount
- [266468] Формы: обновлено описание свойства - минимизация столбцов таблиц
- [266907] Формы: Исправлено масштабирование окна messageBox под содержимое.
- [268281] Обновлён help для Audio-пакета

--- 5.2.1117 --- 09.08.2024
- [267783] Отчеты xlsx: исправлена ошибка отображения вещественных чисел при печати таблиц из формы

--- 5.2.1116 --- 08.08.2024
- [266911] AV в фильтре данных при повторном отображении окна выбора множественных значений
+ [256986] Схемы: Добавлены теги, необходимые для хранения информации об обрезке изображений
+ [260899] функция "Дата окончания месяца" в дизайнерах поисков и запросов

--- 5.2.1115 --- 24.07.2024
- [266461] Проверка орфографии: использование словарей с кодировкой UTF-8

--- 5.2.1114 --- 22.07.2024
+ Обновление справки 

--- 5.2.1113 --- 17.07.2024
+ [264906] Схемы: Импорт DWG/DXF - обновление библиотеки CAD VCL до версии 15.0.5 #58743
+ [259587] Стили Добавлены новые свойства для стилей таблиц, колонок таблиц и деревьев:
           Новые свойства для стилей таблиц:
             Радиус закругления границ
             Цвет границ таблицы
             Цвет границ ячеек
             Цвет границ ячеек заголовка
           Новые свойства для колонок таблиц:
             Цвет границ ячеек
             Цвет границ ячеек заголовка
           Новые свойства для стилей деревьев:
             Радиус закругления границ
+ [266247] help по frame.configKey
- [262920] В диалоге при выгрузке pex не сохраняется состояние checkBox "Обрабатывать дочерние узлы"
- [265990] Диаграммы: исправлена ошибка Не отображается линия диаграммы

--- 5.2.1112 --- 12.07.2024
+ [263208] Добавлена серия диаграмм по обращению 641

--- 5.2.1111 --- 04.07.2024
- [266009] Исправлено неверное отображение некоторых иконок.

--- 5.2.1110 --- 03.07.2024
+ [265671] событие onEnter в дереве данных
+ [265621] добавлена возможность запуска выделенного фрагмента в SQL консоли
- [265620] исправлена ошибка, из-за которой история выполненных ранее запросов не отображалась при открытии консоли SQL
- [265705] Отчеты xlsx: добавлена поддержка надстрочного формата текста
- [257416] Grid: не выводился итог у столбца при назначенном событии итога "onGetData", в котором значение итога не устанавливается

--- 5.2.1109 --- 27.06.2024
- [261733] Отображение в панели задач окна с вводом имени пользователя и пароля при подключении
+ [264946] Выбор цветовой схемы в редакторе SQL в SQLConsole
- [265050] Ограничение минимальных размеров модального окна

--- 5.2.1108 --- 14.06.2024
- [265036] blobField.value возвращать бинарное предсатвление, если физическое представление бинарное, и строку если физическое представление текстовое
- [264066] assert при освобождении курсора данных источника данных с предвыборкой записей
- Исправлены имена типов в серверном пакете DataTypes в соответствии клиентскому
- [264397] Отчеты xlsx: исправлен экспорт рисунков
- [264108] Отсутствие узла со стилем не блокирует открытие формы для редактирования

--- 5.2.1107 --- 29.05.2024
+ [263931] Cтили: Переключатели - добавлен узел настройки стиля переключателя. Добавлена возможность настройки стиля переключателя через инспектор.
           Добавлены свойства стиля:
           Цвет маркера
           Цвет рамки
           Цвет рамки при наведении
           Цвет рамки при нажатии
           Цвет фона
+ [263929] Стили: Флажки - добавлены новые свойства стиля:
           Цвет рамки при наведении
           Цвет рамки при нажатии

--- 5.2.1106 --- 27.05.2024
+ [264019] обновление putty  до 0.81
